# OqlQueryClause Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlQueryClause:
[legend]

List of all members.

## Public Member Functions

| bind ($index, $value)
| bindNext ($value)
| bindAll (array $parameters)

## Protected Attributes

| $parameters = array()

## Detailed Description

Definition at line 15 of file OqlQueryClause.class.php.

## Member Function Documentation

OqlQueryClause::bind | ( | $ | index,
|  | $ | value |
| ) |  |  |

Returns:
  OqlQueryClause

Definition at line 22 of file OqlQueryClause.class.php.

Referenced by bindNext().

OqlQueryClause::bindAll | ( | array $ | parameters | ) |

Returns:
  OqlQueryClause

Definition at line 42 of file OqlQueryClause.class.php.

Referenced by OqlSelectQuery::toCriteria().

OqlQueryClause::bindNext | ( | $ | value | ) |

Returns:
  OqlQueryClause

Definition at line 32 of file OqlQueryClause.class.php.

References bind().

Here is the call graph for this function:

## Member Data Documentation

OqlQueryClause::$parameters = array()`[protected]`

Definition at line 17 of file OqlQueryClause.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlQueryClause.class.php